Skip to main content
`Ctrl`+`K`

# VecTaggerSetFromOptions

set `VecTagger` options using the options database

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecTaggerSetFromOptions(VecTagger tagger)

Logically Collective

## Input Parameter

- tagger - vec tagger

## Options Database Keys

- -vec_tagger_type - implementation type, see `VecTaggerSetType()`

- -vec_tagger_block_size - set the block size, see `VecTaggerSetBlockSize()`

- -vec_tagger_invert - invert the index set returned by `VecTaggerComputeIS()`

## See Also

`VecTagger`, `VecTaggerCreate()`, `VecTaggerSetUp()`

## Level

advanced

## Location

src/vec/vec/utils/tagger/interface/tagger.c

## Examples

src/ts/tutorials/ex11.c
src/vec/vec/utils/tagger/tutorials/ex1.c
src/ts/tutorials/ex30.c
src/snes/tutorials/ex27.c

## Implementations

VecTaggerSetFromOptions_AndOr() in src/vec/vec/utils/tagger/impls/andor.c
VecTaggerSetFromOptions_CDF() in src/vec/vec/utils/tagger/impls/cdf.c
VecTaggerSetFromOptions_Simple() in src/vec/vec/utils/tagger/impls/simple.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages